SNP-SITES(1)

NAME
snp-sites - finds SNP sites from a multi FASTA alignment file

SYNOPSIS

snp-sites [-mvph] [-o output_filename] [input file]

DESCRIPTION

This application takes in a multi fasta alignment, finds all the SNP sites, then outputs the SNP sites in either of the following formats:

    • multi fasta alignment

    • VCF

    • relaxed phylip format

OPTIONS

-r
    Output internal pseudo reference sequence

-m
    Output a multi fasta alignment file (default)

-v
    Output a VCF file

-p
    Output a phylip file

-c
    Only output columns containing exclusively ACGT

-b
    Output monomorphic sites, useful for BEAST

-o
    Specify an output filename

-h
    Show help message

-V
    Show version and exit

EXAMPLES

    snp-sites my-alignment.aln

    snp-sites my-gzipped-alignment.aln.gz

    snp-sites -cb -o output_beast_format.aln inputfile.aln

FORMAT OF THE INPUT FILE

Input files should look like this:

    >reference_sequence
    aaccggtt
    >comparison_sequence
    AACCGGTT
    >another_comparison_sequence
    AACCGCTT

For more examples, visit:

AUTHOR

snp-sites was originally written by Andrew Page (

CITATION

If you use this program, please cite: "SNP-sites: rapid efficient extraction of SNPs from multi-FASTA alignments", Andrew J. Page, Ben Taylor, Aidan J. Delaney, Jorge Soares, Torsten Seemann, Jacqueline A. Keane, Simon R. Harris (2016), bioRxiv doi:

COPYING

Wellcome Trust Sanger Institute Copyright © 2013 Wellcome Trust Sanger Institute This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.